
TYPO3.TypoScript - Task # 40931

Status: Resolved Priority: Should have
Author: Robert Lemke Category:
Created: 2012-09-14 Assigned To: Robert Lemke
Updated: 2012-09-17 Due date:
Subject: General clean up
Description

Several doc comments are not up to date and the default path to leading to TypoScripts of a package is wrong.

Also, the TypoScript parser should be Singleton.

Associated revisions
Revision c4ec3907 - 2012-09-17 13:52 - Robert Lemke

[TASK] Clean up TypoScript package

This patch contains some cosmetic cleanups and fixes of doc comments.
Furthermore it makes Parser a singleton and fixes the default path
pattern leading to TypoScripts of a package. That didn't have any
bad effect before, because the Phoenix package overrides the default.

Change-Id: I34cf786b4e1686d76d0d923c1131cf179ab99ef5
Resolves: #40931

History
#1 - 2012-09-14 17:07 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14598

#2 - 2012-09-17 13:52 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14598

#3 - 2012-09-17 14:35 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c4ec3907d66c787a5dab78f291120bb8eb5ff676.
